Table of Contents

## Name

glDeleteTextures - delete named textures

## C Specification

void glDeleteTextures( GLsizei n,

        const GLuint *textures )

## Parameters

n
  Specifies the number of textures to be deleted.
textures
  Specifies an array of textures to be deleted.

## Description

glDeleteTextures deletes n textures named by the elements of the array textures. After a texture is deleted, it has no contents or dimensionality, and its name is free for reuse (for example by glGenTextures). If a texture that is currently bound is deleted, the binding reverts to 0 (the default texture).

glDeleteTextures silently ignores 0's and names that do not correspond to existing textures.

## Notes

glDeleteTextures is available only if the GL version is 1.1 or greater.

## Errors

GL_INVALID_VALUE is generated if n is negative.

GL_INVALID_OPERATION is generated if glDeleteTextures is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glIsTexture

## See Also

glAreTexturesResident(3G) , glBindTexture(3G) , glCopyTexImage1D(3G) , glCopyTexImage2D(3G) , glGenTextures(3G) , glGet(3G) , glGetTexParameter(3G) , glPrioritizeTextures(3G) , glTexImage1D(3G) , glTexImage2D(3G) , glTexParameter(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- Associated Gets
- See Also